------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008-2010 Vadim Godunko <vgodunko@gmail.com>                 --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Push_Button_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Push_Button_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Push_Buttons is

   function autoDefault_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, autoDefault_0_wrapper,
                     "__Qt4Ada_QPushButton_autoDefault_0_wrapper");

   function isDefault_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isDefault_0_wrapper,
                     "__Qt4Ada_QPushButton_isDefault_0_wrapper");

   function isFlat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isFlat_0_wrapper,
                     "__Qt4Ada_QPushButton_isFlat_0_wrapper");

   procedure setAutoDefault_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setAutoDefault_0_wrapper,
                     "__Qt4Ada_QPushButton_setAutoDefault_0_wrapper");

   procedure setDefault_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setDefault_0_wrapper,
                     "__Qt4Ada_QPushButton_setDefault_0_wrapper");

   procedure setFlat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setFlat_0_wrapper,
                     "__Qt4Ada_QPushButton_setFlat_0_wrapper");

   procedure showMenu_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, showMenu_0_wrapper,
                     "__Qt4Ada_QPushButton_showMenu_0_wrapper");

   pragma Style_Checks ("N");

   ------------------
   -- Auto_Default --
   ------------------

   function Auto_Default
    (Self : not null access constant Q_Push_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (autoDefault_0_wrapper
           (Self.QObject_View));
   end Auto_Default;

   ----------------
   -- Is_Default --
   ----------------

   function Is_Default
    (Self : not null access constant Q_Push_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isDefault_0_wrapper
           (Self.QObject_View));
   end Is_Default;

   -------------
   -- Is_Flat --
   -------------

   function Is_Flat
    (Self : not null access constant Q_Push_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isFlat_0_wrapper
           (Self.QObject_View));
   end Is_Flat;

   ----------------------
   -- Set_Auto_Default --
   ----------------------

   procedure Set_Auto_Default
    (Self : not null access Q_Push_Button'Class;
     Enable : Standard.Boolean)
   is
   begin
      setAutoDefault_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Auto_Default;

   -----------------
   -- Set_Default --
   -----------------

   procedure Set_Default
    (Self : not null access Q_Push_Button'Class;
     Enable : Standard.Boolean)
   is
   begin
      setDefault_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Default;

   --------------
   -- Set_Flat --
   --------------

   procedure Set_Flat
    (Self : not null access Q_Push_Button'Class;
     Enable : Standard.Boolean)
   is
   begin
      setFlat_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Flat;

   ---------------
   -- Show_Menu --
   ---------------

   procedure Show_Menu
    (Self : not null access Q_Push_Button'Class)
   is
   begin
      showMenu_0_wrapper
       (Self.QObject_View);
   end Show_Menu;

end Qt4.Push_Buttons;
